Subject: Re: What is missing from Git v2.0

From: David Aguilar <[email-masked]>
Date: Mon, 21 Apr 2014 22:19:39 -0700

On Sun, Apr 20, 2014 at 05:41:05PM -0500, Felipe Contreras wrote:
> = Reject non-fast-forward pulls by default =
> 
> Many new-comers end up making merges by mistake when they pull because
> they don't understand what is a non-fast-forward and what they should
> actually be doing. Most people, even Linus Torvalds, agreed that by
> default `git pull` should fail and guide the user, instead of silently
> making a merge which might not be what the user wants (even though he
> doesn't know it), and messing up the project's history, which affects
> other people.
> 
> The patches were sent, the issues were addressed, people agreed, and
> yet nothing happened.

We can currently set pull.ff = only to get this behavior.
I would like it if this were the default (but I am biased).

> = Use "stage" instead of "index" =

I'm probably biased about this one too, but I should probably speak up.

git-cola has used "Staged", "Modified", "Untracked", etc. since
the beginning of time.  Sorry 'bout that, but it seemed like the
simplest word to use.

I often hear users talking about "staging" files.
I'm probably in an echo chamber, but I never really had to
explain "the staging area" since the concept is pretty natural
when interacting with the GUI.

Just my $.02.

ciao,
-- 
David